package Encapsulador;

public class Encapsulador <E> {
	private E elemento;
	
	public E getElemento(){ return elemento;}
	public void setElemento(E e){ elemento = e;}
	
	public static void main(String [] arg){
		Encapsulador<Integer> encapInt = new Encapsulador<Integer>();
		encapInt.setElemento(10);
		
		Encapsulador<Float> encapFloat = new Encapsulador<Float>();
		encapFloat.setElemento(10.5f);
		
		System.out.println("Entero encapsulado: " + encapInt.getElemento());
		System.out.println("Float encapsulado: " + encapFloat.getElemento());
	}	
}
